geoipupdate-2.5.0-lp151.2.3.x86_64.rpm


Advertisement

Description

geoipupdate - GeoIP update client code

Property Value
Distribution openSUSE Leap 15.1
Repository openSUSE Oss all
Package filename geoipupdate-2.5.0-lp151.2.3.x86_64.rpm
Package name geoipupdate
Package version 2.5.0
Package release lp151.2.3
Package architecture x86_64
Package type rpm
Category Productivity/Networking/System
Homepage https://www.maxmind.com
License GPL-2.0
Maintainer -
Download size 34.82 KB
Installed size 60.56 KB
The GeoIP Update program performs automatic updates of GeoIP2 and GeoIP
Legacy binary databases. Currently the program only supports Linux and
other Unix- like systems.

Alternatives

Package Version Architecture Repository
geoipupdate - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -
libcurl.so.4()(64bit) -
libz.so.1()(64bit) -

Provides

Name Value
config(geoipupdate) = 2.5.0-lp151.2.3
geoipupdate = 2.5.0-lp151.2.3
geoipupdate(x86-64) = 2.5.0-lp151.2.3

Conflicts

Name Value
GeoIP < 1.6.0

Download

Type URL
Mirror widehat.opensuse.org
Binary Package geoipupdate-2.5.0-lp151.2.3.x86_64.rpm
Source Package geoipupdate-2.5.0-lp151.2.3.src.rpm

Install Howto

Install geoipupdate rpm package:

# zypper install geoipupdate

Files

Path
/etc/GeoIP.conf
/etc/GeoIP.conf.default
/usr/bin/geoipupdate
/usr/share/doc/packages/geoipupdate/ChangeLog.md
/usr/share/doc/packages/geoipupdate/LICENSE
/usr/share/doc/packages/geoipupdate/README.md
/usr/share/man/man1/geoipupdate.1.gz
/usr/share/man/man5/GeoIP.conf.5.gz
/var/lib/GeoIP/

Changelog

2017-11-16 - mpluskal@suse.com
- Update to version 2.5.0:
* Document the LockFile option in the GeoIP.conf man page.
* Remove unused base64 library.
* Add the new configuration option PreserveFileTimes. If set, the
downloaded files will get the same modification times as their
original on the server. Default is 0 (unset).
* Use the correct types when calling curl_easy_setopt().
* In GeoIP.conf, the UserId option was renamed to AccountID and
the ProductIds option was renamed to EditionIDs. The old
options will continue to work, but upgrading to the new names
is recommended for forward compatibility.
- Cleanup previous changelog entry
- Run tests during build
2017-10-16 - Mathias.Homann@opensuse.org
- Update to version 2.4.0:
* geoipupdate now checks that the database directory is writable.
If it is not, it reports the problem and aborts.
* geoipupdate now acquires a lock when starting up to ensure only
one instance may run at a time. A new option, LockFile, exists
to set the file to use as a lock. By default, LockFile is the
file .geoipupdate.lock in the database directory.
* geoipupdate now prints out additional information from the
server when a download request results in something other than
HTTP status 2xx. This provides more information when the API
does not respond with a database file. In conjunction with
changes to the download service itself, errors such as lacking
a subscription no longer show up with the message "not a valid
gzip file".
* ${datarootdir}/GeoIP is now created on make install.
2017-01-05 - mpluskal@suse.com
- Update to version 2.3.1:
* geoipupdate now uses TCP keep-alive when compiled with cURL
7.25 or greater.
* Previously, on an invalid gzip file, geoipupdate would output
binary data to stderr. It now displays an appropriate error
message.
* Install README, ChangeLog, GeoIP.conf.default etc into docdir.
* $(sysconfdir) is now created if it doesn't exist.
* The sample config file is now usable.
2016-07-01 - toddrme2178@gmail.com
- Fix Group tag.
2016-02-04 - mpluskal@suse.com
- Update to version 2.2.2
* geoipupdate now calls fsync on the database directory after a
rename to make it durable in the event of a crash.
2015-11-08 - p.drouand@gmail.com
- Update to version 2.2.1
* Version bump to fix PPA issue
- Changes from version 2.2.0
* geoipupdate now verifies the MD5 of the new database before
deploying it. If the database MD5 does not match the expected MD5,
geoipupdate will exit with an error.
* The copy of base64.c and base64.h was switched to a version under
GPL 2+ to prevent a license conflict.
* The LICENSE file was added to the distribution.
* Several issues in the documentation were fixed.
- Remove gpl-2.0.txt; now included in the tarball
- Perform a spec-cleaner
2015-02-21 - mpluskal@suse.com
- Initial packaging

See Also

Package Description
geos-devel-3.6.2-lp151.3.3.x86_64.rpm Development files for GEOS
geotiff-1.4.2-lp151.3.3.x86_64.rpm Library to handle georeferenced TIFF
geotiff-devel-1.4.2-lp151.3.3.x86_64.rpm GeoTIFF header files
gerbv-2.6.1-lp151.2.3.x86_64.rpm Gerber File Viewer that supports the RS-274X Standard
gerbv-devel-2.6.1-lp151.2.3.x86_64.rpm Gerber File Viewer that supports the RS-274X Standard
geronimo-annotation-1_0-api-1.2-lp151.8.1.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-commonj-1_1-apis-1.2-lp151.8.1.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-corba-1_0-apis-1.2-lp151.8.1.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-corba-2_3-apis-1.2-lp151.8.1.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-ejb-2_1-api-1.2-lp151.8.1.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-ejb-3_0-api-1.2-lp151.8.1.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-el-1_0-api-1.2-lp151.8.1.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-interceptor-3_0-api-1.2-lp151.8.1.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-j2ee-1_4-apis-1.2-lp151.8.1.noarch.rpm Geronimo J2EE server J2EE specifications
geronimo-j2ee-connector-1_5-api-1.2-lp151.8.1.noarch.rpm Geronimo J2EE server J2EE specifications
Advertisement
Advertisement